## 0.8.10

This release brings high stability with many bugfixes, and big improvements to
asset import, powerful UX improvements and many optimizations.

We also restored MacOS support back until OSX 10.13 Catalina.

**Editor**
- Restored support for older MacOS versions (up to 10.13 - Catalina)
- Allow generating new resources ids as UUIDs to avoid source control conflicts
- Added conversion of currently unsupported image pixel formats to 8-bit
- Added import of various less commonly used mesh attribute formats
- Added generating normals for meshes that imported without
- Improved handling of unsupported data on import
- Added "New Folder" option in files area of AssetBrowser
- Added "Rename" and "Delete" options for folders in files area of AssetBrowser
- Replaced manual mesh data settings with automatic detection from pipelines
- Fixed reparenting of multiple objects in larger projects
- Fixed text not rendering initially after opening a project
- Fixed PWA icon sometimes not compiled
- Fixed scrambled meshes when switching "Project Settings > Rendering > useMultiDraw"
- Disabled "Project Settings > Rendering > useMultiDraw" by default
- Fixed crash when importing mesh with incomplete final triangle
- Fixed crash when opening projects with custom shaders
- Fixed crash when switching the shader of a pipeline
- Fixed crashes when switching projects
- Fixed crash when importing scene files while compressing textures
- Fixed crash when failing texture compression using pink warning texture
- Fixed crash when creating project with AR template
- Fixed double-click on recent project in Project Wizard not closing the window
- Fixed flat materials not importing as "Flat Opaque"
- Fixed some rendering issues with alpha and usePreZ enabled
- Clarified UX around allowSimulation and trigger of physx components
- Improved overall UI contrast
- Fixed many UI small layout issues in Resources View
- Added search field to Pipeline tab of Resources View
- Fixed PhysX visualization not showing until simulation is enabled
- Redesigned "Add Component" UX and added search field
- Improved compression of meshes
- Fixed adding point light to scene with sun light switching off point light
- Fixed moving components to other objects via drag and drop
- Fixed right-click on files in Asset Browser not selecting file
- Fixed experimental bloom filter broken in browsers
- Fixed missing `.so` on Ubuntu
- Added setting for main view in Project Settings

**Runtime**
- Fixed potential crashes due to incorrect allocations for object names
- Fixed rare issues with alpha on materials when switching scene
- Fixed exception when trying to extend Array type with custom methods
- Fixed crash when loading .gltf/.glb file when Phong is not packaged
- Fixed flat materials not importing as "Flat Opaque" for runtime loaded .gltf/.glb
- Fixed some rendering issues with alpha and usePreZ enabled
- Fixed black screen when entering VR session before loading screen is shown
- Optimized loading of embedded image data in .gltf/.glb files loaded at runtime
- Made VR and AR buttons only show up uonce WebXR support is known
- Made VR and AR dim if not supported

**Engine**
- Various smaller CPU side optimizations
- Various GPU side optimizations for vertex shading and Skinning
- Disabled lights no longer get shaded with black color, their shading cost is removed
- Fixed various issues with enabling, disabling and switching type of light components
- Fixed a rare Skinning edge case causing vertices to spike during animation
- Stabilized initial physics states
- Added animation speed control
- Fixed Phong shader when normal mapping enabled, but no normal texture set
- Fixed bilinear filtering on lower mips when using mipmapping
- Increased texture count limit from 256 to 512

**JS API**
- Removed assertions when using inactive `WL.PhysXComponent`
- Added `WL.PhysXComponent.removeCollisionCallback()` and made `WL.PhysXComponent.onCollision()` return a callback id
- Added `WL.PhysXComponent.shapeData` to enable cloning physx components that use `Shape.TriangleMesh` or `Shape.ConvexHull`
- Made `WL.Object.addComponent(type, params)` accept other components for `params`
- Fixed skinned meshes disappearing when assigning materials
- Added experimental `WL.scene.reserveObjects(objectCount, componentCountsPerType)` to preallocate data for
  objects and components, speeding up spawning without the need to manually pool objects
- Added `WL.AnimationComponent.speed`
- Made `WL.Mesh.vertexData` and `WL.Mesh.indexData` return read only data
- Made `WL.onXRSessionStart`, `WL.onXRSessionEnd` and `WL.onSceneLoaded` robust against exceptions thrown during callbacks
- Fixed `WL.Mesh.indexData`
- Various smaller doc fixes
